Summary:	Tools for Intel DRM driver
Summary(pl.UTF-8):	Narzędzia do sterownika Intel DRM
Name:		xorg-app-igt-gpu-tools
Version:	2.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/archive/individual/app/igt-gpu-tools-%{version}.tar.xz
# Source0-md5:	e6f66340b8f8d1bc45834757a599de4d
URL:		http://intellinuxgraphics.org/
BuildRequires:	alsa-lib-devel
BuildRequires:	bison
BuildRequires:	cairo-devel >= 1.17.2
BuildRequires:	curl-devel
# rst2man
BuildRequires:	docutils
# libdw
BuildRequires:	elfutils-devel
BuildRequires:	flex
# -std=gnu11
BuildRequires:	gcc >= 6:4.7
BuildRequires:	glib2-devel >= 2.0
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	gsl-devel
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	json-c-devel
BuildRequires:	kmod-devel
BuildRequires:	libdrm-devel >= 2.4.92
BuildRequires:	liboping-devel
BuildRequires:	libunwind-devel
BuildRequires:	meson >= 0.52.1
BuildRequires:	ninja >= 1.5
BuildRequires:	peg
BuildRequires:	pixman-devel >= 0.36.0
BuildRequires:	pkgconfig
BuildRequires:	procps-devel >= 1:4.0.5
BuildRequires:	python3-devel >= 1:3.0
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel
BuildRequires:	xmlrpc-c-client-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-dri2proto-devel >= 2.6
BuildRequires:	xorg-util-util-macros >= 1.16
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	cairo >= 1.17.2
Requires:	libdrm >= 2.4.92
Requires:	procps >= 1:4.0.5
Requires:	xorg-lib-libXrandr >= 1.3
Requires:	xorg-lib-libpciaccess >= 0.10
Obsoletes:	xorg-app-intel-gpu-tools < 1.23
# libunwind is required
ExclusiveArch:	%{ix86} %{x8664} x32 %{arm} aarch64 hppa ia64 mips ppc ppc64 sh tilegx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# igt_ioctl symbol is function pointer, not plain function
%define		skip_post_check_so	libxe_oa.so.*
# "Building with NDEBUG defined is not supported"
%define		filterout_cpp		-DNDEBUG

%description
This is a collection of tools for development and testing of the Intel
DRM driver.

%description -l pl.UTF-8
Ten pakiet zawiera zestaw narzędzi do rozwijania i testowania
sterownika Intel DRM.

%package devel
Summary:	Header files for i915 perf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki i915 perf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdrm-devel >= 2.4.92

%description devel
Header files for i915 perf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki i915 perf.

%prep
%setup -q -n igt-gpu-tools-%{version}

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' tools/intel-gfx-fw-info

%build
%meson \
	-Dchamelium=enabled \
	-Ddocs=enabled \
	-Dlibunwind=enabled \
	-Dman=enabled \
	-Doping=enabled \
	-Doverlay=enabled \
	-Drunner=enabled \
	-Dtestplan=enabled \
	-Dtests=enabled \
	-Dvalgrind=disabled \
	

%meson_build

# install fails without prebuilt docs
%meson_build igt-gpu-tools-doc:custom

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# tests
%{__rm} \
	$RPM_BUILD_ROOT%{_bindir}/code_cov_* \
	$RPM_BUILD_ROOT%{_datadir}/igt-gpu-tools/{README,*.testlist}
%{__rm} -r $RPM_BUILD_ROOT%{_libexecdir}/igt-gpu-tools

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/amd_hdmi_compliance
%attr(755,root,root) %{_bindir}/dpcd_reg
%attr(755,root,root) %{_bindir}/gputop
%attr(755,root,root) %{_bindir}/i915-perf-*
%attr(755,root,root) %{_bindir}/igt_comms_decoder
%attr(755,root,root) %{_bindir}/igt_facts
%attr(755,root,root) %{_bindir}/igt_power
%attr(755,root,root) %{_bindir}/igt_results
%attr(755,root,root) %{_bindir}/igt_resume
%attr(755,root,root) %{_bindir}/igt_runner
%attr(755,root,root) %{_bindir}/igt_stats
%attr(755,root,root) %{_bindir}/intel-gfx-fw-info
%attr(755,root,root) %{_bindir}/intel_*
%attr(755,root,root) %{_bindir}/lsgpu
%attr(755,root,root) %{_bindir}/msm_dp_compliance
%attr(755,root,root) %{_bindir}/xe-perf-*
%attr(755,root,root) %{_libdir}/libi915_perf.so.1.5
%attr(755,root,root) %{_libdir}/libigt.so.0
%attr(755,root,root) %{_libdir}/libxe_oa.so.1.5
%ifarch %{ix86} %{x8664} x32
%attr(755,root,root) %{_bindir}/intel-gen4asm
%attr(755,root,root) %{_bindir}/intel-gen4disasm
%attr(755,root,root) %{_bindir}/intel-gpu-overlay
%{_pkgconfigdir}/intel-gen4asm.pc
%endif
%dir %{_datadir}/igt-gpu-tools
%{_datadir}/igt-gpu-tools/registers
%{_datadir}/igt-gpu-tools/blacklist*.txt
%{_datadir}/igt-gpu-tools/*.blocklist.txt
%{_datadir}/igt-gpu-tools/*.png
%{_gtkdocdir}/igt-gpu-tools
%{_mandir}/man1/intel_*.1*
%{_mandir}/man1/lsgpu.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libi915_perf.so
%attr(755,root,root) %{_libdir}/libigt.so
%attr(755,root,root) %{_libdir}/libxe_oa.so
%{_includedir}/i915-perf
%{_includedir}/xe-oa
%{_pkgconfigdir}/i915-perf.pc
%{_pkgconfigdir}/xe-oa.pc
%changelog
* Sat Jun 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-igt-gpu-tools.git;a=log;h=master

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 75ee454
- updated to 2.1

* Wed May 21 2025 Jan Palus <atler@pld-linux.org> 18fc775
- procps 4.0.5 rebuild

* Sun Apr 13 2025 Jakub Bogusz <qboosh@pld-linux.org> e7c81ef
- filter out -DNDEBUG

* Sat Mar 15 2025 Jakub Bogusz <qboosh@pld-linux.org> 8882f18
- updated to 2.0

* Sat Dec 14 2024 Jakub Bogusz <qboosh@pld-linux.org> 047164b
- updated to 1.30

* Thu Sep 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 6875969
- updated to 1.29

* Sun Jun 02 2024 Jakub Bogusz <qboosh@pld-linux.org> 4b3f6ce
- release 3 (gsl 2.8)

* Fri Oct 06 2023 Jan Rękorajski <baggins@pld-linux.org> 6c93d04
- Release 2 (by relup.sh)

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 8f65497
- updated to 1.28

* Fri Feb 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 310dba2
- updated to 1.27.1

* Tue Jan 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 4d44133
- updated to 1.27

* Fri Dec 03 2021 Jan Rękorajski <baggins@pld-linux.org> c908446
- Release 2 (by relup.sh)

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 036f2b7
- updated to 1.26

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 6991fbc
- release 3 (json-c soname change)

* Fri Mar 27 2020 Jan Rękorajski <baggins@pld-linux.org> 7064f70
- release 2 (by relup.sh)

* Fri Mar 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 34d21b0
- updated to 1.25

* Sat Feb 08 2020 Jan Rękorajski <baggins@pld-linux.org> 84641a9
- rebuild with procps 3.3.16
- release 3 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> a0c1dd6
- release 2 (by relup.sh)

* Wed Jun 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 7fcb510
- macros for meson

* Wed Jun 26 2019 Jakub Bogusz <qboosh@pld-linux.org> a63c6ce
- updated to 1.24
- removed obsolete update patch

